@import "../../../../styles/variables.scss";
@import "../../../../styles/mixins.scss";

.toolbar,
.toolbar__links {
  display: flex;
  align-items: center;
}

.toolbar {
  z-index: $z-top;
  position: fixed;
  left: 0;
  right: 0;
  color: #fff;
  font-weight: 600;
  padding: 0 16px;
}

.toolbar-header {
  top: 0;
  height: 55px;
  background: $headerToolbarBackground;
  justify-content: space-between;
  box-shadow: $headerToolbarShadow;

  .toolbar__links-logo {
    @include from-max($medium) {
      flex-grow: 1;
    }
  }

  .toolbar__links {
    flex-grow: 1;

    @include from-max($medium) {
      display: none;
    }
  }

  .toolbar__user-name {
    background-color: color(secondary);
    padding: 5px 10px;
    color: color(dark);
    margin-right: 1rem;
    border-radius: 50px;
    box-shadow: 0 0 10px 1px color(dark);
    @include text-ellipsis();
  }
}

.toolbar-footer {
  bottom: 0;
  height: 45px;
  background: $footerToolbarBackground;
  justify-content: center;
  box-shadow: $footerToolbarShadow;

  .toolbar__links .toolbar__link-name {
    font-size: 10px;
  }
}
